scala.tools.ant.sabbus

# Use

#### class Use extends ScalaMatchingTask

Linear Supertypes
ScalaMatchingTask, ScalaTask, MatchingTask, SelectorContainer, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Use
2. ScalaMatchingTask
3. ScalaTask
4. MatchingTask
5. SelectorContainer
6. Task
7. ProjectComponent
8. Cloneable
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Use()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Use to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Use, B)

   Implicit information
     This member is added by an implicit conversion from Use to ArrowAssoc[Use] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def XsetIgnore(arg0: String): Unit

   Definition Classes
     MatchingTask

9. #### def XsetItems(arg0: String): Unit

   Definition Classes
     MatchingTask

10. #### def add(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

11. #### def addAnd(arg0: AndSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

12. #### def addContains(arg0: ContainsSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

13. #### def addContainsRegexp(arg0: ContainsRegexpSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

14. #### def addCustom(arg0: ExtendSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

15. #### def addDate(arg0: DateSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

16. #### def addDepend(arg0: DependSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

17. #### def addDepth(arg0: DepthSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

18. #### def addDifferent(arg0: DifferentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

19. #### def addFilename(arg0: FilenameSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

20. #### def addMajority(arg0: MajoritySelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

21. #### def addModified(arg0: ModifiedSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

22. #### def addNone(arg0: NoneSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

23. #### def addNot(arg0: NotSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

24. #### def addOr(arg0: OrSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

25. #### def addPresent(arg0: PresentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

26. #### def addSelector(arg0: SelectSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

27. #### def addSize(arg0: SizeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

28. #### def addType(arg0: TypeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

29. #### def appendSelector(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

30. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

31. #### final def bindToOwner(arg0: Task): Unit

    Definition Classes
      Task

32. #### def buildError(message: String): Nothing

    Generates a build error.

    Generates a build error. Error location will be the current task in the ant file.

    message

      A message describing the error.

    Attributes
      protected
    Definition Classes
      ScalaTask
    Exceptions thrown
      BuildException

      A build error exception thrown in every case.

33. #### def clone(): AnyRef

    Definition Classes
      ProjectComponent → AnyRef
    Annotations
      @throws( ... )

34. #### def createExclude(): NameEntry

    Definition Classes
      MatchingTask

35. #### def createExcludesFile(): NameEntry

    Definition Classes
      MatchingTask

36. #### def createInclude(): NameEntry

    Definition Classes
      MatchingTask

37. #### def createIncludesFile(): NameEntry

    Definition Classes
      MatchingTask

38. #### def createPatternSet(): PatternSet

    Definition Classes
      MatchingTask

39. #### def ensuring(cond: (Use) ⇒ Boolean, msg: ⇒ Any): Use

    Implicit information
      This member is added by an implicit conversion from Use to Ensuring[Use] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

40. #### def ensuring(cond: (Use) ⇒ Boolean): Use

    Implicit information
      This member is added by an implicit conversion from Use to Ensuring[Use] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### def ensuring(cond: Boolean, msg: ⇒ Any): Use

    Implicit information
      This member is added by an implicit conversion from Use to Ensuring[Use] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

42. #### def ensuring(cond: Boolean): Use

    Implicit information
      This member is added by an implicit conversion from Use to Ensuring[Use] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

43. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

44. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

45. #### def execute(): Unit

    Definition Classes
      Use → Task

46. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

47. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Use to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

48. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

49. #### def getDescription(): String

    Definition Classes
      ProjectComponent

50. #### def getDirectoryScanner(arg0: File): DirectoryScanner

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

51. #### final def getImplicitFileSet(): FileSet

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

52. #### def getLocation(): Location

    Definition Classes
      ProjectComponent

53. #### def getOwningTarget(): Target

    Definition Classes
      Task

54. #### def getProject(): Project

    Definition Classes
      ProjectComponent

55. #### def getRuntimeConfigurableWrapper(): RuntimeConfigurable

    Definition Classes
      Task

56. #### def getSelectors(arg0: Project): Array[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

57. #### def getTaskName(): String

    Definition Classes
      Task

58. #### def getTaskType(): String

    Definition Classes
      Task

59. #### def getWrapper(): RuntimeConfigurable

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

60. #### def handleErrorFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

61. #### def handleErrorOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

62. #### def handleFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

63. #### def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )

64. #### def handleOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

65. #### def hasSelectors(): Boolean

    Definition Classes
      MatchingTask → SelectorContainer

66. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

67. #### def init(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

68. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

69. #### final def isInvalid(): Boolean

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

70. #### def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit

    Definition Classes
      Task

71. #### def log(arg0: java.lang.Throwable, arg1: Int): Unit

    Definition Classes
      Task

72. #### def log(arg0: String, arg1: Int): Unit

    Definition Classes
      Task → ProjectComponent

73. #### def log(arg0: String): Unit

    Definition Classes
      Task → ProjectComponent

74. #### def maybeConfigure(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

75. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

76. #### final def notify(): Unit

    Definition Classes
      AnyRef

77. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

78. #### final def perform(): Unit

    Definition Classes
      Task

79. #### def reconfigure(): Unit

    Definition Classes
      Task

80. #### def selectorCount(): Int

    Definition Classes
      MatchingTask → SelectorContainer

81. #### def selectorElements(): java.util.Enumeration[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

82. #### def setCaseSensitive(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

83. #### def setDefaultexcludes(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

84. #### def setDescription(arg0: String): Unit

    Definition Classes
      ProjectComponent

85. #### def setDestdir(input: File): Unit

86. #### def setExcludes(arg0: String): Unit

    Definition Classes
      MatchingTask

87. #### def setExcludesfile(arg0: File): Unit

    Definition Classes
      MatchingTask

88. #### def setFailOnError(input: Boolean): Unit

89. #### def setFollowSymlinks(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

90. #### def setId(input: String): Unit

91. #### def setIncludes(arg0: String): Unit

    Definition Classes
      MatchingTask

92. #### def setIncludesfile(arg0: File): Unit

    Definition Classes
      MatchingTask

93. #### def setLocation(arg0: Location): Unit

    Definition Classes
      ProjectComponent

94. #### def setOwningTarget(arg0: Target): Unit

    Definition Classes
      Task

95. #### def setProject(arg0: Project): Unit

    Definition Classes
      MatchingTask → ProjectComponent

96. #### def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit

    Definition Classes
      Task

97. #### def setSrcdir(input: File): Unit

98. #### def setTaskName(arg0: String): Unit

    Definition Classes
      Task

99. #### def setTaskType(arg0: String): Unit

    Definition Classes
      Task

100. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

101. #### def toString(): String

     Definition Classes
       AnyRef → Any

102. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

103. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

104. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

105. #### def →[B](y: B): (Use, B)

     Implicit information
       This member is added by an implicit conversion from Use to ArrowAssoc[Use] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Use to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (use: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Use to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (use: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Use

   Implicit information
     This member is added by an implicit conversion from Use to ArrowAssoc[Use] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (use: ArrowAssoc[Use]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Use

   Implicit information
     This member is added by an implicit conversion from Use to Ensuring[Use] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (use: Ensuring[Use]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from ScalaMatchingTask

### Inherited from ScalaTask

### Inherited from MatchingTask

### Inherited from SelectorContainer

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Use to StringAdd

### Inherited by implicit conversion any2stringfmt from Use to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Use to ArrowAssoc[Use]

### Inherited by implicit conversion any2Ensuring from Use to Ensuring[Use]

### Ungrouped